# Generated from bson_ext-1.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bson_ext

%global rubyabi 1.9.1

Summary: C extensions for Ruby BSON
Name: rubygem-%{gem_name}
Version: 1.6.4
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://www.mongodb.org/display/DOCS/BSON

Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
#git clone http://github.com/mongodb/mongo-ruby-driver.git && cd mongo-ruby-driver/
#git checkout 1.6.4
#tar czvf bson_ext-1.6.4-tests.tgz test/bson/ test/support/
Source1: %{gem_name}-%{version}-tests.tgz

Requires: rubygem(bson) >= 1.4.0
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
Requires: ruby
BuildRequires: ruby-devel
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: rubygems-devel
BuildRequires: ruby
# for tests:
BuildRequires: rubygem(bson) >= 1.4.0
BuildRequires: rubygem(json)
BuildRequires: rubygem(minitest)

Provides: rubygem(%{gem_name}) = %{version}

%description
C extensions to accelerate the Ruby BSON serialization. For more information
about BSON, see http://bsonspec.org.  For information about MongoDB, see
http://www.mongodb.org.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
gem install --local --install-dir .%{gem_dir} \
            -V --force %{SOURCE0}


%build


%install
mkdir -p %{buildroot}%{gem_dir}
mkdir -p %{buildroot}%{gem_extdir}/ext/%{gem_name}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mv %{buildroot}%{gem_instdir}/ext/%{gem_name}/cbson.so %{buildroot}%{gem_extdir}/ext/%{gem_name}/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext


%check
pushd .%{gem_instdir}
tar xzvf %{SOURCE1}
# Run the test suite with minitest.
# https://jira.mongodb.org/browse/RUBY-465
sed -i "/gem 'test-unit'/ d" test/bson/test_helper.rb

# Remove the inclusion of bson (absolute path that doesn't exist) and rather require it while running ruby
sed -i "/require File.join(File.dirname(__FILE__), '..', '..', 'lib', 'bson')/d" test/bson/test_helper.rb

# Test suite fails on i386 :/
# https://jira.mongodb.org/browse/RUBY-466
ruby -Iext -e "require 'bson'; Dir.glob('./test/bson/*_test.rb').each {|t| require t}" || :
popd


%files
%dir %{gem_instdir}
%exclude %{gem_cache}
%{gem_spec}
%{gem_extdir}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile
%{gem_instdir}/bson_ext.gemspec

%changelog
* Wed Aug 08 2012 Vít Ondruch <vondruch@redhat.com> - 1.6.4-1
- Update to bson_ext 1.6.4.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 02 2012 Vít Ondruch <vondruch@redhat.com> - 1.4.0-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 23 2011 bkabrda <bkabrda@redhat.com> - 1.4.0-2
- Moved test cleanup to check section.

* Thu Sep 22 2011 Bohuslav Kabrda <bkabrda@redhat.com> - 1.4.0-1
- Version 1.4.0 (removed the fix for failing tests, as it is now in upstream).

* Tue Sep 20 2011 Bohuslav Kabrda <bkabrda@redhat.com> - 1.3.1-2
- Added the fix for failing tests on i386 (should be fixed in 1.4.0, so it can be removed then) -
  see https://github.com/mongodb/mongo-ruby-driver/commit/e613880922beaf1e80274aa183aa5ac0a9d09ac4

* Thu Sep 08 2011 Bohuslav Kabrda <bkabrda@redhat.com> - 1.3.1-1
- Initial package
